#include <bits/stdc++.h>
#include "code.h"
using namespace std;
int n,k;
int mat[1005][1005];
int glob[1005][2];
std::vector<int> Nadji(int N, int K)
{
    n = N;
    k = K;
    long long pom = n;
    long long pom2 = k;
    if(pom*pom <= pom2){
        for(int i=1; i<=n; i++){
            for(int j=1; j<=n; j++){
                mat[i][j] = Pitaj(i,j);
            }
        }
        for(int i=1; i<=n; i++){
            int maks = 0;
            int poj = 0;
            for(int j=1; j<=n; j++)maks = max(maks, mat[i][j]);
            for(int j=1; j<=n; j++){
                if(maks == mat[i][j])poj++;
            }
            if(poj == 1)glob[i][0] = maks;
        }
        for(int j=1; j<=n; j++){
            int mini = 1e9+1;
            int poj = 0;
            for(int i=1; i<=n; i++)mini = min(mini, mat[i][j]);
            for(int i=1; i<=n; i++){
                if(mini == mat[i][j])poj++;
            }
            if(poj == 1)glob[j][1] = mini;
        }
        for(int i=1; i<=n; i++){
            for(int j=1; j<=n; j++){
                if(glob[i][0] == glob[j][1] && glob[i][0] == mat[i][j]){
                    vector<int>res;
                    res.push_back(i);
                    res.push_back(j);
                    return res;
                }
            }
        }
        vector<int> nema;
        nema.push_back(0);
        nema.push_back(0);
        return nema;
    }

}